> ## Documentation Index
> Fetch the complete documentation index at: https://docs.standardmetrics.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload company logo

> Upload a new logo for an offline company. Replaces any existing logo.

**Notes:**
- File size limit: 5 MB maximum.
- Logo is owned by the firm since this action is only available for offline companies.
- Accepted file types:
    - JPEG images (.jpg, .jpeg)
    - PNG images (.png)
    - GIF images (.gif)
    - WEBP images (.webp)

**Permissions:**
- User must be authenticated via OAuth.
- User must have access to the company.
- User must have ADMIN or EDITOR role.



## OpenAPI

````yaml post /companies/{company_id}/logo/
openapi: 3.0.1
info:
  title: Standard Metrics API Documentation
  description: >-
    Welcome to Standard Metric's API docs!


    To use our API you will need to make an OAuth appliction (or use an existing
    one) in the developer settings tab on your settings page and then exchange
    your client id and secret for an access token (via the `/o/token/` endpoint.
    This token can then be sent in the `Authorization` header to authenticate
    your requests to our api. See below for an example.


    All endpoints are paginated and will return a maximum of 100 results per
    page. See the endpoints below and example responses for more details on
    pagination parameters. A maximum of 120 requests per minute can be made to
    our API.


    Authentication example (with python):

    ```>>> import base64

    >>> import base64

    >>> client_id = "YOUR_CLIENT_ID"

    >>> client_secret = "YOUR_CLIENT_SECRET"

    >>> credential = f"{client_id}:{client_secret}"

    >>> base64.b64encode(credential.encode("utf-8"))

    b'ENCODED_CREDENTIAL'


    You can now exchange this credential for an access token, eg:


    curl -X POST \
        -H "Authorization: Basic ENCODED_CREDENTIAL" \
        -H "Cache-Control: no-cache" \
        -H "Content-Type: application/x-www-form-urlencoded" \
        "https://api.standardmetrics.io/o/token/" \
        -d "grant_type=client_credentials"

    You will receive the following response:


    {
        "access_token": "YOUR_ACCESS_TOKEN",
        "expires_in": 36000,
        "token_type": "Bearer",
        "scope": "read write"
    }


    Make sure not to forget to prepend "Bearer " to your access token in the
    Authorization header while making requests.
  version: '1.0'
servers:
  - url: https://api.standardmetrics.io/v1
security:
  - Bearer: []
paths:
  /companies/{company_id}/logo/:
    post:
      tags:
        - companies
      summary: Upload company logo
      description: >-
        Upload a new logo for an offline company. Replaces any existing logo.


        **Notes:**

        - File size limit: 5 MB maximum.

        - Logo is owned by the firm since this action is only available for
        offline companies.

        - Accepted file types:
            - JPEG images (.jpg, .jpeg)
            - PNG images (.png)
            - GIF images (.gif)
            - WEBP images (.webp)

        **Permissions:**

        - User must be authenticated via OAuth.

        - User must have access to the company.

        - User must have ADMIN or EDITOR role.
      operationId: companies_logo_create
      parameters:
        - name: company_id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          multipart/form-data:
            schema:
              required:
                - file
              type: object
              properties:
                file:
                  type: string
                  description: >-
                    The logo file to upload. Must be sent as part of a
                    multipart/form-data POST request. File size limit: 5 MB
                    maximum. Accepted file types: .jpg, .jpeg, .png, .gif, .webp
                  format: binary
          application/x-www-form-urlencoded:
            schema:
              required:
                - file
              type: object
              properties:
                file:
                  type: string
                  description: >-
                    The logo file to upload. Must be sent as part of a
                    multipart/form-data POST request. File size limit: 5 MB
                    maximum. Accepted file types: .jpg, .jpeg, .png, .gif, .webp
                  format: binary
        required: true
      responses:
        '201':
          description: Logo successfully uploaded
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Your valid bearer token. All Auth tokens persist for all requests. Make
        sure to replace Client Credential `Basic` tokens with `Bearer` tokens
        after retrieving your bearer token. Go to the API Reference/Setup, User
        Guides/Initial Setup, or API Reference/Get API Access Token page to get
        your token.

````